diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDoiMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDoiMapper.java
index 3e755cb98c..1c09a36fc6 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDoiMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbDoiMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.DOI;
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
@@ -26,7 +27,7 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
 public class DbDoiMapper
             extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
 
-    private static final Logger logger = LogManager.getLogger(DbDoiMapper.class);
+    private static final Logger logger = LogManager.getLogger();
 
     private static final int MAX_PRECISION = -1;  //precision for datatype nvarchar(max) == clob (SQL Server 2008)
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportIgnoreMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportIgnoreMapper.java
index b39d606100..5d339220ac 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportIgnoreMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportIgnoreMapper.java
@@ -1,88 +1,89 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.PreparedStatement;
-import java.sql.SQLException;
-
-import org.apache.commons.lang.StringUtils;
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * This mapper does not change any import object, but logs the information that a database
- * attribute is ignored for the mapping.
- *
- * @see DbNullMapper
- *
- * @author a.mueller
- * @since 25.02.2010
- */
-public class DbExportIgnoreMapper
-            extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
-
-    private static final Logger logger = LogManager.getLogger(DbExportIgnoreMapper.class);
-
-	public static DbExportIgnoreMapper NewInstance(String dbAttributeToIgnore){
-		return new DbExportIgnoreMapper(null, dbAttributeToIgnore, null, null);
-	}
-
-	public static DbExportIgnoreMapper NewInstance(String dbAttributeToIgnore, String reason){
-		return new DbExportIgnoreMapper(null, dbAttributeToIgnore, null, reason);
-	}
-
-//*************************** VARIABLES ***************************************************************//
-
-	protected String ignoreReason;
-	protected String dbAttributeString;
-
-//*************************** CONSTRUCTOR ***************************************************************//
-
-	protected DbExportIgnoreMapper(String cdmAttributeString, String dbAttributeString, Object defaultValue, String ignoreReason) {
-		super(cdmAttributeString, null, defaultValue);
-		//we do not pass to parent, otherwise this is part of the prepared statement
-		//once we check if all fields of a table are mapped this behavior needs to be changed
-		//or at least the checking mechanism needs to know that this attribute is handled (but ignored)
-		this.dbAttributeString = dbAttributeString;
-		this.ignoreReason = ignoreReason;
-	}
-
-	@Override
-	public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase state, String tableName) {
-		initializeLogging();
-		exportMapperHelper.initializeNull(stmt, state, tableName);
-	}
-
-    protected void initializeLogging() {
-        String attributeName = dbAttributeString; //this.getDestinationAttribute();
-        String localReason = "";
-        if (StringUtils.isNotBlank(ignoreReason)){
-            localReason = " (" + ignoreReason +")";
-        }
-        logger.warn(attributeName + " ignored" +  localReason + ".");
-    }
-
-    @Override
-	protected boolean doInvoke(CdmBase cdmBase) throws SQLException {
-		return true;   // do nothing
-	}
-
-	@Override
-	public Class getTypeClass() {
-		return null;  //not needed
-	}
-
-	@Override
-	protected int getSqlType() {
-		return -1;  // not needed
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.PreparedStatement;
+import java.sql.SQLException;
+
+import org.apache.commons.lang.StringUtils;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * This mapper does not change any import object, but logs the information that a database
+ * attribute is ignored for the mapping.
+ *
+ * @see DbNullMapper
+ *
+ * @author a.mueller
+ * @since 25.02.2010
+ */
+public class DbExportIgnoreMapper
+            extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
+
+    private static final Logger logger = LogManager.getLogger();
+
+	public static DbExportIgnoreMapper NewInstance(String dbAttributeToIgnore){
+		return new DbExportIgnoreMapper(null, dbAttributeToIgnore, null, null);
+	}
+
+	public static DbExportIgnoreMapper NewInstance(String dbAttributeToIgnore, String reason){
+		return new DbExportIgnoreMapper(null, dbAttributeToIgnore, null, reason);
+	}
+
+//*************************** VARIABLES ***************************************************************//
+
+	protected String ignoreReason;
+	protected String dbAttributeString;
+
+//*************************** CONSTRUCTOR ***************************************************************//
+
+	protected DbExportIgnoreMapper(String cdmAttributeString, String dbAttributeString, Object defaultValue, String ignoreReason) {
+		super(cdmAttributeString, null, defaultValue);
+		//we do not pass to parent, otherwise this is part of the prepared statement
+		//once we check if all fields of a table are mapped this behavior needs to be changed
+		//or at least the checking mechanism needs to know that this attribute is handled (but ignored)
+		this.dbAttributeString = dbAttributeString;
+		this.ignoreReason = ignoreReason;
+	}
+
+	@Override
+	public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase state, String tableName) {
+		initializeLogging();
+		exportMapperHelper.initializeNull(stmt, state, tableName);
+	}
+
+    protected void initializeLogging() {
+        String attributeName = dbAttributeString; //this.getDestinationAttribute();
+        String localReason = "";
+        if (StringUtils.isNotBlank(ignoreReason)){
+            localReason = " (" + ignoreReason +")";
+        }
+        logger.warn(attributeName + " ignored" +  localReason + ".");
+    }
+
+    @Override
+	protected boolean doInvoke(CdmBase cdmBase) throws SQLException {
+		return true;   // do nothing
+	}
+
+	@Override
+	public Class getTypeClass() {
+		return null;  //not needed
+	}
+
+	@Override
+	protected int getSqlType() {
+		return -1;  // not needed
+	}
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportMapperBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportMapperBase.java
index afe85d7d2e..d28503464e 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportMapperBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportMapperBase.java
@@ -1,67 +1,68 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.PreparedStatement;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-
-/**
- * @author a.mueller
- * @since 12.05.2009
- */
-public class DbExportMapperBase<STATE extends DbExportStateBase<?, IExportTransformer>>  /*implements IDbExportMapper */{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbExportMapperBase.class);
-
-	protected PreparedStatement preparedStatement = null;
-	protected int index = 0;
-	private STATE state;
-	private String tableName;
-
-	public void initialize(PreparedStatement stmt, IndexCounter index, STATE state, String tableName) {
-		this.preparedStatement = stmt;
-		this.index = index.getIncreasing();
-		this.state = state;
-		this.tableName = tableName;
-	}
-
-	/**
-	 * Initialize the mapper in a way that it does not add any data
-	 * to the prepared statement.
-	 */
-	public void initializeNull(PreparedStatement stmt, STATE state, String tableName) {
-		this.preparedStatement = stmt;
-		this.index = -1;
-		this.state = state;
-		this.tableName = tableName;
-	}
-
-	public PreparedStatement getPreparedStatement() {
-		return preparedStatement;
-	}
-
-	public int getIndex() {
-		return index;
-	}
-
-	public STATE getState() {
-		return state;
-	}
-
-	public String getTableName() {
-		return tableName;
-	}
-	public void setTableName(String tableName) {
-		this.tableName = tableName;
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.PreparedStatement;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+
+/**
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class DbExportMapperBase<STATE extends DbExportStateBase<?, IExportTransformer>>  /*implements IDbExportMapper */{
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+	protected PreparedStatement preparedStatement = null;
+	protected int index = 0;
+	private STATE state;
+	private String tableName;
+
+	public void initialize(PreparedStatement stmt, IndexCounter index, STATE state, String tableName) {
+		this.preparedStatement = stmt;
+		this.index = index.getIncreasing();
+		this.state = state;
+		this.tableName = tableName;
+	}
+
+	/**
+	 * Initialize the mapper in a way that it does not add any data
+	 * to the prepared statement.
+	 */
+	public void initializeNull(PreparedStatement stmt, STATE state, String tableName) {
+		this.preparedStatement = stmt;
+		this.index = -1;
+		this.state = state;
+		this.tableName = tableName;
+	}
+
+	public PreparedStatement getPreparedStatement() {
+		return preparedStatement;
+	}
+
+	public int getIndex() {
+		return index;
+	}
+
+	public STATE getState() {
+		return state;
+	}
+
+	public String getTableName() {
+		return tableName;
+	}
+	public void setTableName(String tableName) {
+		this.tableName = tableName;
+	}
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportNotYetImplementedMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportNotYetImplementedMapper.java
index 5770b337cd..b5065be57a 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportNotYetImplementedMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExportNotYetImplementedMapper.java
@@ -1,53 +1,54 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import org.apache.commons.lang.StringUtils;
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-/**
- * This mapper does not change any import object, but keeps the information that a database
- * attribute needs to be mapped but is not yet mapped.
- *
- * @see DbExportIgnoreMapper
- * @see DbNullMapper
- *
- * @author a.mueller
- * @since 25.02.2010
- */
-public class DbExportNotYetImplementedMapper
-        extends DbExportIgnoreMapper {
-
-    private static final Logger logger = LogManager.getLogger(DbExportNotYetImplementedMapper.class);
-
-	public static DbExportNotYetImplementedMapper NewInstance(String dbAttributeToIgnore){
-		return new DbExportNotYetImplementedMapper(null, dbAttributeToIgnore, null, null);
-	}
-
-	public static DbExportNotYetImplementedMapper NewInstance(String dbAttributeToIgnore, String reason){
-		return new DbExportNotYetImplementedMapper(null, dbAttributeToIgnore, null, reason);
-	}
-
-//*************************** CONSTRUCTOR ***************************************************************//
-
-	protected DbExportNotYetImplementedMapper(String cdmAttributeString, String dbAttributString, Object defaultValue, String unimplementedReason) {
-		super(cdmAttributeString, dbAttributString, defaultValue, unimplementedReason);
-	}
-
-	@Override
-    protected void initializeLogging() {
-	    String attributeName = this.dbAttributeString;
-        String localReason = "";
-        if (StringUtils.isNotBlank(ignoreReason)){
-            localReason = " (" + ignoreReason +")";
-        }
-        logger.warn(attributeName + " not yet implemented." +  localReason);
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import org.apache.commons.lang.StringUtils;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+/**
+ * This mapper does not change any import object, but keeps the information that a database
+ * attribute needs to be mapped but is not yet mapped.
+ *
+ * @see DbExportIgnoreMapper
+ * @see DbNullMapper
+ *
+ * @author a.mueller
+ * @since 25.02.2010
+ */
+public class DbExportNotYetImplementedMapper
+        extends DbExportIgnoreMapper {
+
+    private static final Logger logger = LogManager.getLogger();
+
+	public static DbExportNotYetImplementedMapper NewInstance(String dbAttributeToIgnore){
+		return new DbExportNotYetImplementedMapper(null, dbAttributeToIgnore, null, null);
+	}
+
+	public static DbExportNotYetImplementedMapper NewInstance(String dbAttributeToIgnore, String reason){
+		return new DbExportNotYetImplementedMapper(null, dbAttributeToIgnore, null, reason);
+	}
+
+//*************************** CONSTRUCTOR ***************************************************************//
+
+	protected DbExportNotYetImplementedMapper(String cdmAttributeString, String dbAttributString, Object defaultValue, String unimplementedReason) {
+		super(cdmAttributeString, dbAttributString, defaultValue, unimplementedReason);
+	}
+
+	@Override
+    protected void initializeLogging() {
+	    String attributeName = this.dbAttributeString;
+        String localReason = "";
+        if (StringUtils.isNotBlank(ignoreReason)){
+            localReason = " (" + ignoreReason +")";
+        }
+        logger.warn(attributeName + " not yet implemented." +  localReason);
+	}
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExtensionMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExtensionMapper.java
index eb8580a74f..39e03dea82 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExtensionMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbExtensionMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 import java.sql.Types;
 
 import org.apache.commons.lang.StringUtils;
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
@@ -26,7 +27,8 @@ import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
  * @since 12.05.2009
  */
 public class DbExtensionMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	private static final Logger logger = LogManager.getLogger(DbExtensionMapper.class);
+
+    private static final Logger logger = LogManager.getLogger();
 
 	private final ExtensionType extensionType;
 
@@ -34,11 +36,6 @@ public class DbExtensionMapper extends DbSingleAttributeExportMapperBase<DbExpor
 		return new DbExtensionMapper(extensionType, dbAttributeString);
 	}
 
-
-	/**
-	 * @param dbAttributeString
-	 * @param cdmAttributeString
-	 */
 	protected DbExtensionMapper(ExtensionType extensionType, String dbAttributeString) {
 		super("extensions", dbAttributeString, null);
 		this.extensionType  = extensionType;
@@ -78,4 +75,4 @@ public class DbExtensionMapper extends DbSingleAttributeExportMapperBase<DbExpor
 	public Class<?> getTypeClass() {
 		return String.class;
 	}
-}
+}
\ No newline at end of file
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedIntegerMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedIntegerMapper.java
index 36544ad237..6562975d7a 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedIntegerMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedIntegerMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -28,7 +29,7 @@ public class DbFixedIntegerMapper
         extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
 
     @SuppressWarnings("unused")
-    private static final Logger logger = LogManager.getLogger(DbFixedIntegerMapper.class);
+    private static final Logger logger = LogManager.getLogger();
 
 	private Integer fixInteger;
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedStringMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedStringMapper.java
index d48a350af6..63e5bc93e2 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedStringMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbFixedStringMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -24,7 +25,7 @@ public class DbFixedStringMapper
         extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>
         implements IDbExportMapper<DbExportStateBase<?,IExportTransformer>, IExportTransformer> {
 
-    private static final Logger logger = LogManager.getLogger(DbFixedStringMapper.class);
+    private static final Logger logger = LogManager.getLogger();
 
 	private static final int MAX_PRECISION = -1;  //precision for datatype nvarchar(max) == clob (SQL Server 2008)
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbImageMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbImageMapper.java
index 982826bc11..5208ef6d27 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbImageMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbImageMapper.java
@@ -12,7 +12,8 @@ import java.sql.Types;
 import java.util.List;
 import java.util.Set;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.URI;
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
@@ -33,7 +34,7 @@ public class DbImageMapper
             implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
 
     @SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbImageMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbImageMapper NewInstance(String dbAttributeString){
 		return new DbImageMapper(dbAttributeString, null);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerAnnotationMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerAnnotationMapper.java
index fbd341a464..d2b1202e37 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerAnnotationMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerAnnotationMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
 
@@ -20,9 +21,8 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
  * @since 10.06.2009
  */
 public class DbIntegerAnnotationMapper extends DbAnnotationMapper {
-	private static final Logger logger = LogManager.getLogger(DbIntegerAnnotationMapper.class);
-
 
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbIntegerAnnotationMapper NewInstance(String annotationPrefix, String dbAttributeString){
 		return new DbIntegerAnnotationMapper(annotationPrefix, dbAttributeString, null);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerExtensionMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerExtensionMapper.java
index b48da246e2..dbca435ad7 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerExtensionMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbIntegerExtensionMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
@@ -19,12 +20,10 @@ import eu.etaxonomy.cdm.model.common.ExtensionType;
 /**
  * @author a.mueller
  * @since 10.06.2009
- * @version 1.0
  */
 public class DbIntegerExtensionMapper extends DbExtensionMapper {
-	private static final Logger logger = LogManager.getLogger(DbIntegerExtensionMapper.class);
-
 
+	private static final Logger logger = LogManager.getLogger();
 
 	public static DbIntegerExtensionMapper NewInstance(ExtensionType extensionType, String dbAttributeString){
 		return new DbIntegerExtensionMapper(extensionType, dbAttributeString);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLanguageMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLanguageMapper.java
index 730e7e25ab..6fe7ce6cbc 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLanguageMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLanguageMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 import java.lang.reflect.Method;
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -27,7 +28,7 @@ public class DbLanguageMapper
             extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>
             implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
 
-    private static final Logger logger = LogManager.getLogger(DbLanguageMapper.class);
+    private static final Logger logger = LogManager.getLogger();
 
 	private Method method;
 	private boolean isCache;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLastActionMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLastActionMapper.java
index f7163725ce..94ba7612f3 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLastActionMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbLastActionMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 import java.sql.Types;
 import java.util.UUID;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 import org.joda.time.DateTime;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
@@ -29,7 +30,7 @@ public class DbLastActionMapper
         extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>{
 
     @SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbLastActionMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	public static final UUID uuidMarkerTypeHasNoLastAction = UUID.fromString("99652d5a-bc92-4251-b57d-0fec4d258ab7");
 	public static final UUID uuidAnnotationTypeLastAction = UUID.fromString("d0423ffd-d1dc-4571-ba05-eb724eec3c77");
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbMarkerMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbMarkerMapper.java
index 834288d80f..bdf4c3e539 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbMarkerMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbMarkerMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
@@ -22,11 +23,11 @@ import eu.etaxonomy.cdm.model.common.MarkerType;
 /**
  * @author a.mueller
  * @since 12.05.2009
- * @version 1.0
  */
 public class DbMarkerMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbMarkerMapper.class);
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
 
 	private final MarkerType markerType;
 
